Bug 131785 - (xorg-fonts-upgrade) Error: xorg-x11-font-utils conflicts: xorg-x11-base-fonts<=
Error: xorg-x11-font-utils conflicts: xorg-x11-base-fonts<=
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 131784 132009 132323 132815 138379 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-09-04 10:38 EDT by Mike
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-07 09:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike 2004-09-04 10:38:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040619

Description of problem:
During the "yum update" this morning I received the the error:

Error: xorg-x11-font-utils conflicts:  xorg-x11-base-fonts<=

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum update

Actual Results:  received erro

Expected Results:  update xorg-x11 package

Additional info:
Comment 1 Mike 2004-09-04 12:44:47 EDT
In a discussion this morning on the Fedora-test-list mention was made
of the --obsolete switch to the yum program.  Using this does allow
the new xorg package to be installed.

Regards, Mike Klinke
Comment 2 Chris Kuivenhoven 2004-09-04 17:01:13 EDT
bug 131784 is a duplicate of this one, requested close.

Also, I can verify that this bug exists as of today's rawhide. :)

-Chris Kuivenhoven
Comment 3 Miloslav Trmač 2004-09-04 18:33:43 EDT
*** Bug 131784 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2004-09-07 09:30:54 EDT
There is a problem occuring for some people when trying to upgrade
to the new xorg-x11 packages, but it is not a bug, or at least not
a bug in the xorg-x11 packages.  The font packaging has changed and
been split out into separate "noarch" packages.  If you do not
upgrade/install the proper packages in the correct order (using rpm)
then rpm may give dependancy warnings or "conflicts with" errors.
These errors indicate that the person attempting to upgrade, is not
upgrading the packages in the correct order to satisfy all
dependancies correctly, so the upgrade will fail.

If you use rpm manually instead of yum, you will need to manually
download all of the latest xorg-x11 and fonts-xorg packages from
fedora development, and run the following command exactly as written,
while in the download directory:

    rpm -Uvh xorg-x11*.rpm fonts-xorg*.rpm

Do not use "rpm -Fvh" or some other altenative, as it will not
install all of the required packages, and the upgrade will fail.

Others may be using "yum update" to upgrade to the new xorg-x11
packages.  In this case a problem related to yum occurs as well,
which seems to be related to the fonts moving from one package
to another and "obsoleting" the older xorg-x11 font packages.
If you're using yum to upgrade, be sure to use the following

    yum --obsoletes update

If you still have problems trying to upgrade to the new xorg-x11
and fonts-xorg packages after trying the above commands, please
subscribe to the fedora-test-list@redhat.com mailing list, scan the
archives for suggestions given to people having similar problems,
and if you still get stuck, ask for help on the mailing list, and
someone will probably be able to assist.

Hope this helps.
Comment 5 Mike A. Harris 2004-09-07 19:10:08 EDT
*** Bug 132009 has been marked as a duplicate of this bug. ***
Comment 6 Mike A. Harris 2004-09-16 16:48:39 EDT
*** Bug 132323 has been marked as a duplicate of this bug. ***
Comment 7 Kristian Høgsberg 2004-09-17 09:03:08 EDT
*** Bug 132815 has been marked as a duplicate of this bug. ***
Comment 8 Mike A. Harris 2004-09-22 23:03:06 EDT
For those who skim through the above and miss it, the quick solution
to this problem is:

    yum --obsoletes update

If this does not solve the problem, please read fedora-list mailing
list archives, as this yum issue has been discussed in great detail
there, with comments from the author of yum.

Hope this helps,

Comment 9 Mike A. Harris 2004-11-08 14:45:19 EST
*** Bug 138379 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.